Bug 1022159 - proguard: remove versioned jars from %{_javadir}
proguard: remove versioned jars from %{_javadir}
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: proguard (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mikolaj Izdebski
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks: 1022024
  Show dependency treegraph
 
Reported: 2013-10-22 11:52 EDT by Stanislav Ochotnicky
Modified: 2014-03-25 11:11 EDT (History)
2 users (show)

See Also:
Fixed In Version: 4.11-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-25 11:11:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Adapt to current packaging guidelines (5.60 KB, patch)
2014-01-07 07:13 EST, Michael Simacek
no flags Details | Diff

  None (edit)
Description Stanislav Ochotnicky 2013-10-22 11:52:47 EDT
Package proguard seems to contain versioned jar files in %{_javadir}
(/usr/share/java). Such versioned files cause problems for automatic
requires generation and violate packaging guidelines[1].

List of subpackages and contained versioned jars
proguard-gui:
/usr/share/java/proguard/proguardgui-4.8.jar
proguard:
/usr/share/java/proguard/proguard-4.8.jar
/usr/share/java/proguard/retrace-4.8.jar


There are cases where this can be a false positive. Most likely if:
   * your package is compatibility version and contains only versioned
     jars
   * your package has version in the name of jars that are part of
     package name

Thank you,

[1] https://fedoraproject.org/wiki/Packaging:Java#Filenames
Comment 1 Michael Simacek 2014-01-07 07:13:33 EST
Created attachment 846627 [details]
Adapt to current packaging guidelines
Comment 2 Mikolaj Izdebski 2014-03-25 09:32:23 EDT
Fixed in proguard-4.11-2
Comment 3 Mikolaj Izdebski 2014-03-25 11:11:18 EDT
I believe that this bug is fixed in proguard-4.11-2,
which is available in Fedora Rawhide, so I am closing this bug now.

The build containing the fix can be found at Koji:
http://koji.fedoraproject.org/koji/buildinfo?buildID=506847

Note You need to log in before you can comment on or make changes to this bug.